/*
 * $Header: /private/postgres/src/port/dec/RCS/port-protos.h,v 1.3 1991/11/07 00:12:44 mer Exp $
 */

#include "port.h"

/* dynamic_syms.c */

/* dynloader.c */
DynamicFunctionList *dynamic_file_load ARGS((char **err , char *filename , char **start_address , int *size ));
int relocate ARGS((char *base , Reloc *reloc , EXTR *symbase , char *strs , char *tbase , char *dbase , char *bbase , long vtbase , long vdbase , long vbbase ));
int seekread ARGS((char *seg , int fd , int offset , unsigned char *ptr , int bytes ));
char *Align ARGS((char *padr ));
DynamicFunctionList *load_symbols ARGS((char *filename , int entry_addr ));

/* port.c */
